#ifndef CSingleWindowMessageImpl1_h
#define CSingleWindowMessageImpl1_h

#include"../../Setup/CompileMode.h"
#include"CSingleWindowMessage.h"


namespace Maid
{
	namespace SingleWindowMessage
	{
		class CharCode : public Base
		{
		public:
			CharCode() : Base(CHARACODE){}

			unt32	Code;
		};

		class ImeResult : public Base
		{
		public:
			ImeResult() : Base(IMERESULT){}

			mstring	Code;
		};

		class Activate : public Base
		{
		public:
			Activate() : Base(ACTIVATE){}

			bool	IsActive;
		};
	}

}


#endif
